<?php

namespace Drupal\purencool_vision_configuration\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'PurencoolCopyRight' block.
 *
 * @Block(
 *  id = "purencool_copy_right_block",
 *  admin_label = @Translation("Purencool copy right block"),
 * )
 */
class PurencoolCopyRightBlock extends BlockBase
{

  /**
   * {@inheritdoc}
   */
  public function build()
  {
    /**
     * @todo turn this into OOP
     */
    $copyright = theme_get_setting('copyright');
    $output = '<div id="all-rights-reserved">';
    $output .= '<div class="content">';
    if ($copyright) {
      $output .= '<p>© "now"|' . date('Y') . ',' . $copyright . '</p>';
    }
    $output .= '</div>';
    $output .= '</div>';

    $build = [];
    $build['#theme'] = 'default_block';
    $build['default_block']['#markup'] = $output;

    return $build;
  }

}
