<?php

namespace Drupal\purencool_vision_configuration\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'PurencoolWhoBuiltWebsite' block.
 *
 * @Block(
 *  id = "purencool_who_built_website_block",
 *  admin_label = @Translation("Purencool who built website block"),
 * )
 */
class PurencoolWhoBuiltWebsite extends BlockBase
{

  /**
   * {@inheritdoc}
   */
  public function build()
  {
    /**
     * @todo turn this into OOP
     */
    $url = theme_get_setting('who_built_website_url');
    $text = theme_get_setting('who_built_website_text');
    $output = "<a href=\"$url\" title=\"$text\">$text</a>";
    $build = [];
    $build['#theme'] = 'default_block';
    $build['default_block']['#markup'] = $output;

    return $build;
  }

}
