<?php

namespace Drupal\purencool_vision_configuration\ThemeSettings;


/**
 * Class PurencoolSiteCreator
 * @package Drupal\purencool_vision_configuration\ThemeSettings
 */
class PurencoolWhoBuiltWebsite
{
  /**
   * @param $form
   */
  public static function getSettings(&$form)
  {

    if(!\Drupal::service('module_handler')->moduleExists('purencool_vision_configuration')){
     return;
    }

    $form['website_build'] = array(
      '#type' => 'details',
      '#title' => t('Website Builders'),
      '#open' => FALSE,
      '#description' => t('Place who built this website and a link to the relevant page.'),
    );

    $form['website_build']['who_built_website_url'] = array(
      '#type' => 'textfield',
      '#title' => t('Who built the website url'),
      '#default_value' => theme_get_setting('who_built_website_url'),
    );
    $form['website_build']['who_built_website_text'] = array(
      '#type' => 'textfield',
      '#title' => t('Who built the website text'),
      '#default_value' => theme_get_setting('who_built_website_text'),
    );
  }
}
