<?php


function purencool_vision_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface $form_state, $form_id = NULL)
{
  if (isset($form_id)) {
    return;
  }
  if(!\Drupal::service('module_handler')->moduleExists('purencool_vision_configuration')){
    \Drupal::messenger()->addMessage(t('Purencool vision configuration are not installed to receive extra functionality please got extend and enable this module.'), 'warning');
    return;
  }

  Drupal\purencool_vision_configuration\ThemeSettings\PurencoolSiteDesign::getSettings($form);
  Drupal\purencool_vision_configuration\ThemeSettings\PurencoolContactInformation::getSettings($form);
  Drupal\purencool_vision_configuration\ThemeSettings\PurencoolLegal::getSettings($form);
  Drupal\purencool_vision_configuration\ThemeSettings\PurencoolWhoBuiltWebsite::getSettings($form);
  Drupal\purencool_vision_configuration\ThemeSettings\PurencoolAddLoginLinks::getSettings($form);


}
