<?php

namespace Drupal\purencool_default\Install;

use Drupal\node\Entity\Node;

/**
 * Class PurencoolInstallContent
 *
 * @package Drupal\purencool_default\Install
 */
class PurencoolInstallContent {

  /**
   * Populate the default short cuts on install
   *
   * @throws \Drupal\Core\Entity\EntityStorageException
   */
  public static function setContent() {

    $node = Node::create(['type' => 'page']);
    $node->set('title', 'Home');
    $body = [
      'value' => 'Welcome to Purencool this is a basic page',
      'format' => 'basic_html',
    ];
    $node->set('body', $body);
    $node->status = 1;
    $node->enforceIsNew();
    $node->save();
  }
}
