<?php

namespace Drupal\purencool_vision_configuration\ThemeSettings;


/**
 * Class PurencoolAddLoginLinks
 * @package Drupal\purencool_vision_configuration\ThemeSettings
 */
class PurencoolAddLoginLinks
{
  /**
   * @param $form
   */
  public static function getSettings(&$form)
  {

    if(!\Drupal::service('module_handler')->moduleExists('purencool_vision_configuration')){
     return;
    }

    $form['login_links'] = array(
      '#type' => 'details',
      '#title' => t('Login links'),
      '#open' => FALSE,
      '#description' => t('Place login links on a page'),
    );

    $form['login_links']['add_login_link_top_menu'] = array(
      '#type' => 'checkbox',
      '#title' => t('Add login link to top menu'),
      '#default_value' => theme_get_setting('add_login_link_top_menu'),
    );
  }
}
