<?php

namespace Drupal\purencool_vision_configuration\ThemeSettings;


/**
 * Class PurencoolLegal
 * @package Drupal\purencool_vision_configuration\ThemeSettings
 */
class PurencoolLegal
{
  /**
   * @param $form
   */
  public static function getSettings(&$form)
  {

    if(!\Drupal::service('module_handler')->moduleExists('purencool_vision_configuration')){
     return;
    }

    $form['legal_information'] = array(
      '#type' => 'details',
      '#title' => t('Legal Information about the website'),
      '#open' => FALSE,
    );

    //creating setting for copyright
    $form['legal_information']['copyright'] = array(
      '#type' => 'textfield',
      '#title' => t('Copyright'),
      '#default_value' => theme_get_setting('copyright'),
      '#description' => t('Copyright text that appears in the footer next to the Copyright symbol and year.'),
    );
  }
}
